/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package com.caverock.androidsvg.utils;

import com.caverock.androidsvg.SVG;
import com.caverock.androidsvg.SVGExternalFileResolver;
import com.caverock.androidsvg.SVGParseException;
import java.io.InputStream;

interface SVGParser {
  /** Try to parse the stream contents to an {@link SVG} instance. */
  SVGBase parseStream(InputStream is) throws SVGParseException;

  /**
   * Tells the parser whether to allow the expansion of internal entities. An example of a document
   * containing an internal entities is:
   */
  SVGParser setInternalEntitiesEnabled(boolean enable);

  /**
   * Register an {@link SVGExternalFileResolver} instance that the parser should use when resolving
   * external references such as images, fonts, and CSS stylesheets.
   */
  SVGParser setExternalFileResolver(SVGExternalFileResolver fileResolver);
}
